%define upstream_name    Devel-StackTrace-AsHTML
%define upstream_version 0.14

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Displays stack trace in HTML
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Devel::StackTrace)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(Filter::Util::Call)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
Devel::StackTrace::AsHTML adds 'as_html' method to the Devel::StackTrace
manpage which displays the stack trace in beautiful HTML, with code snippet
context and function parameters. If you call it on an instance of the
Devel::StackTrace::WithLexicals manpage, you even get to see the lexical
variables of each stack frame.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README eg
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.140.0-2.mga4
+ Revision: 526865
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.140.0-1.mga4
+ Revision: 439037
- update to 0.14

* Sun Jan 13 2013 umeabot <umeabot> 0.110.0-2.mga3
+ Revision: 365813
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jun 20 2011 jquelin <jquelin> 0.110.0-1.mga2
+ Revision: 110551
- imported package perl-Devel-StackTrace-AsHTML


* Mon Jun 20 2011 cpan2dist 0.11-1mga
- initial mageia release, generated with cpan2dist
